/***************************************************************************
                          resources.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RESOURCES_H
#define RESOURCES_H
#include "global_types.h"
#include <ClanLib/application.h>

/**
  *@author funthing (Matthias Zisler)
  */


class Resources
{
public: 
	static void init();
	static void load_all();

	static CL_Surface* Auriferous();
	static CL_Surface* Net();
	static CL_Surface* Effectbar();
	static CL_Surface* Greenframe();
	static CL_Surface* Mmeffect();
	static CL_Surface* Scroller();
	static CL_Surface* Background();
	static CL_Surface* Checker();
	static CL_Surface* Arrows();
	static CL_Surface* Funthing();
	
	static CL_MouseCursorProvider* Cursor();

	static CL_Surface* Gameframe();
	static CL_Surface* Tiles();
	static CL_Surface* Gas();
	static CL_Surface* Player();
	static CL_Surface* Playerr();
	static CL_Surface* Monk();
	static CL_Surface* Explosion();
	static CL_Surface* Atile();	
	static CL_Surface* Abackground();
	static CL_Surface* Itile();
	static CL_Surface* Ibackground();
	static CL_Surface* Ltile();
	static CL_Surface* Lbackground();
	static CL_Surface* Jtile();	
	static CL_Surface* Jbackground();
	static CL_Surface* Ttile();
	static CL_Surface* Tbackground();

	static CL_Font* Rfontg();
	static CL_Font* Rfonta();
	static CL_Font* Rfont();
	static CL_Font* Gfont();
	static CL_Font* Cgfont();

	static CL_SoundBuffer* Accrue();
	static CL_SoundBuffer* Befudlementgas();
	static CL_SoundBuffer* Bomblit();
	static CL_SoundBuffer* Born();
	static CL_SoundBuffer* Burndown();
	static CL_SoundBuffer* Cbexplode();
	static CL_SoundBuffer* Ceexplode();
	static CL_SoundBuffer* Chput();
	static CL_SoundBuffer* Clickcancel();
	static CL_SoundBuffer* Clicknormal();
	static CL_SoundBuffer* Clickok();
	static CL_SoundBuffer* Did();
	static CL_SoundBuffer* Die();
	static CL_SoundBuffer* Digoff();
	static CL_SoundBuffer* Doorunlock();
	static CL_SoundBuffer* Explode();
	static CL_SoundBuffer* Explode1();
	static CL_SoundBuffer* Explode2();
	static CL_SoundBuffer* Fallwater();
	static CL_SoundBuffer* Finish();
	static CL_SoundBuffer* Gold();
	static CL_SoundBuffer* Lasertripmine();
	static CL_SoundBuffer* Levelready();
	static CL_SoundBuffer* Life();
	static CL_SoundBuffer* Pickup();
	static CL_SoundBuffer* Putaway();
	static CL_SoundBuffer* Slime();
	static CL_SoundBuffer* Speed();
	static CL_SoundBuffer* Teleport();
	static CL_SoundBuffer* Tnt();
	static CL_SoundBuffer* Trap();

	static CL_SoundBuffer_Session* Jungle();
	static CL_SoundBuffer_Session* Lava();
	static CL_SoundBuffer_Session* Ice();
	static CL_SoundBuffer_Session* Tech();
	static CL_SoundBuffer_Session* Aqua();

	static CL_String datapath;
private:


	static CL_Surface* auriferous;
	static CL_Surface* net;
	static CL_Surface* effectbar;
	static CL_Surface* greenframe;
	static CL_Surface* mmeffect;
	static CL_Surface* scroller;
	static CL_Surface* background;
	static CL_Surface* checker;
	static CL_Surface* arrows;
	static CL_Surface* funthing;

	static CL_MouseCursorProvider* cursor;

	static CL_Surface* gameframe;
	static CL_Surface* tiles;
	static CL_Surface* player;
	static CL_Surface* playerr;
	static CL_Surface* monk;
	static CL_Surface* explosion;
	static CL_Surface* gas;
	static CL_Surface* atile;	
	static CL_Surface* abackground;
	static CL_Surface* itile;
	static CL_Surface* ibackground;
	static CL_Surface* ltile;
	static CL_Surface* lbackground;
	static CL_Surface* jtile;	
	static CL_Surface* jbackground;
	static CL_Surface* ttile;
	static CL_Surface* tbackground;

	static CL_Font* rfontg;
	static CL_Font* rfonta;
	static CL_Font* rfont;
	static CL_Font* gfont;
	static CL_Font* cgfont;

	static CL_SoundBuffer* accrue;
	static CL_SoundBuffer* befudlementgas;
	static CL_SoundBuffer* bomblit;
	static CL_SoundBuffer* born;
	static CL_SoundBuffer* burndown;
	static CL_SoundBuffer* cbexplode;
	static CL_SoundBuffer* ceexplode;
	static CL_SoundBuffer* chput;
	static CL_SoundBuffer* clickcancel;
	static CL_SoundBuffer* clicknormal;
	static CL_SoundBuffer* clickok;
	static CL_SoundBuffer* did;
	static CL_SoundBuffer* die;
	static CL_SoundBuffer* digoff;
	static CL_SoundBuffer* doorunlock;
	static CL_SoundBuffer* explode;
	static CL_SoundBuffer* explode1;
	static CL_SoundBuffer* explode2;
	static CL_SoundBuffer* fallwater;
	static CL_SoundBuffer* finish;
	static CL_SoundBuffer* gold;
	static CL_SoundBuffer* lasertripmine;
	static CL_SoundBuffer* levelready;
	static CL_SoundBuffer* life;
	static CL_SoundBuffer* pickup;
	static CL_SoundBuffer* putaway;
	static CL_SoundBuffer* slime;
	static CL_SoundBuffer* speed;
	static CL_SoundBuffer* teleport;
	static CL_SoundBuffer* tnt;
	static CL_SoundBuffer* trap;

	static CL_SoundBuffer_Session* jungle;
	static CL_SoundBuffer_Session* ice;
	static CL_SoundBuffer_Session* lava;
	static CL_SoundBuffer_Session* aqua;
	static CL_SoundBuffer_Session* tech;

	static CL_ResourceManager* res;
	

};

#endif
